> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niobi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Status (v3)

<Note>
  Please ensure that a new `signature` is generated each time you create a transaction status request
</Note>


## OpenAPI

````yaml post /api/v3/get-unified-transaction-status
openapi: 3.0.0
info:
  title: Niobi Application API
  description: Niobi List API
  version: 1.0.0
servers:
  - url: https://sandbox.users.niobi.co
    description: Live API Server
security: []
tags:
  - name: Niobi
    description: API Endpoints of Niobi
paths:
  /api/v3/get-unified-transaction-status:
    post:
      tags:
        - payment
      summary: Fetch unified transaction status (v3)
      operationId: getUnifiedTransactionStatusV3
      requestBody:
        description: Data needed for unified transaction status (v3)
        required: true
        content:
          application/json:
            schema:
              required:
                - client_id
                - sender
                - timestamp
                - salt
                - signature
                - params
              properties:
                client_id:
                  description: Client identifier
                  type: string
                sender:
                  description: Sender's entity title
                  type: string
                timestamp:
                  description: Timestamp of the request
                  type: integer
                salt:
                  description: Salt for the request
                  type: string
                signature:
                  description: Signature for the request
                  type: string
                params:
                  required:
                    - id
                    - type
                  properties:
                    id:
                      description: Transaction reference (ref)
                      type: string
                    type:
                      description: 'Transaction type: payin or payout'
                      type: string
                      example: payin/payout
                  type: object
              type: object
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Transaction data fetched successfully.
                  data:
                    type: object
                    example:
                      amount: '987'
                      fee: 10
                      currency: KES
                      status: success
                      payee: N/A
                      invoice_no: N/A
                      mobile: 2547xxxxxxx
                      account_number: N/A
                      ref: NIO-SXXXXX
                      balance: N/A
                      transaction_detail: N/A
                      payment_channel: SENDMONEY
                      transaction_date: '2026-05-19T04:34:42.000000Z'
                      created_at: '2026-05-19T04:34:42.000000Z'
                      updated_at: '2026-05-19T04:45:41.000000Z'
                      callback_url: https://webhook.site/<REDACTED>
                      status_code: '000006'
                      failureReason:
                        failureCode: null
                        failureMessage: null
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Niobi user not found or Transaction was not created!
                type: object
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: >-
                      Entity integration record not found or Client id not
                      matched or Request was not verified.
                type: object
      security:
        - apiKeyAuth: []
components: {}

````